Jump to content
ionu000

firefox 5.0, password manager problem

Recommended Posts

I just made an update to my browser firefox 5.0 and after restart i receive this massage:

 

This version of "Password Manager Autofill Engine" does not support your web-browser.

 

Please, contact developers: support@kaspersky.com.

 

 

 

Reason: TypeError: Components.classesByID[KPMAUTOFILL_CID] is undefined

 

and the password manager dosent work anymore....

hope to rereceive a solution because its hard without password manager..

Edited by ionu

Share this post


Link to post

Firefox 5 isn't released yet. It's not supported yet.

 

When it's officially released, and not a beta, Kaspersky will most likely support it.

 

I suggest uninstalling 5 and install Firefox 4 to get back the functionality of password manager.

Edited by Gorgotham

Share this post


Link to post
Firefox 5 isn't released yet. It's not supported yet.

 

When it's officially released, and not a beta, Kaspersky will most likely support it.

 

I suggest uninstalling 5 and install Firefox 4 to get back the functionality of password manager.

 

Well seems to me like it is released... i am facing the same problem. had this problem also when i was updating for firefox 4...

Share this post


Link to post

You have to wait until KL Team can fix this issue.

Share this post


Link to post

We are working to fix this problem and we will release new patch for KPM in PURE R2.

Share this post


Link to post
We are working to fix this problem and we will release new patch for KPM in PURE R2.

 

Pure R2? Are we going to be notified via email when PURE R2 comes out and is ready for download? I run a business which depends on the advantage of your browser password manager within the internal browser, and had been using ROBOFORM for many years because it always worked. Now I find that as soon as I upgraded to the 5.0 Firefox, which is also a requirement for my other endeavors, I am stuck having to downgrade back to 4.0.

 

So I guess what I am asking here is are you going to send your current customers an email exclaiming the upgrade to R2, or are you going to auto upgrade this (which would keep us guessing if it works in Firefox 5.0), or are we going to have to come to this forum or another place to find out if it's ready?

 

Thanks.

 

Share this post


Link to post

Welcome. PURE R2 has been available for a while now. If you have another version of PURE installed, you can upgrade to PURE R2 for free with your current active code. Uninstall current PURE version and download here and install R2. http://support.kaspersky.com/pure2/buy?qid=208283016

 

If you wish to be notified about new version release, sign up with My Kaspersky Account and select the new release option from news delivery. http://support.kaspersky.com/pure2/tech?pa...p;qid=208281058

 

 

Share this post


Link to post

Patch got password manager to work but i quickly had 2 avp.exe related errors.

 

i will try to reinstall pure.

Edited by presario2

Share this post


Link to post

This patch completely messes up Pure on win 7 64 bit

 

as soon as i start my PC i get this error

 

avp.exe - aplication eror

 

the instruction at 0x6ef00465 referenced memory at 0x00000000. the memory could not be read

 

click OK to terminate the program.

 

And after that it's impossible to start pure.

 

edit: i figured out i can start pure by clicking "run as an administrator" on avp.exe but almost imidiatly the same error that closes pure.

 

edit: "run as administrator" trick only worked once. No way i can start pure now without restart.

 

Will reinstal pure without this patch and hopefully you will make a patch that actualy WORK soon.

Edited by presario2

Share this post


Link to post

btw new version of pure with integrated password manager that work in firefox 5 expected soon?

 

latest version available for download on your site

 

pure9.1.0.124en

 

password manager don't work with firefox 5 and as i said patching it get password manager to work but it destroys pure.

 

sorry for multiple posts but edit only work for a short time.

Share this post


Link to post

I also have this problem, and I have also contacted support, but they do not even have time to answer me and I are now becoming somewhat angry, and God knows if I will even buy anything more from Kaspersky in the future

..... Very bad support from Kaspersky :angry:

Share this post


Link to post
presario2

 

Please send request to Kaspersky Lab Support: http://support.kaspersky.com/helpdesk.html

 

Thanks for your reply.

 

Since obviously i am not the only one with this problem i will skip support and just wait for the proper patch (or new version of pure with integrated firefox 5 support for password manager)

 

Hopefully soon

 

@ u137

 

Are you also win 7 64 bit user?

 

Share this post


Link to post
Thanks for your reply.

 

Since obviously i am not the only one with this problem i will skip support and just wait for the proper patch (or new version of pure with integrated firefox 5 support for password manager)

 

Hopefully soon

 

@ u137

 

Are you also win 7 64 bit user?

 

 

Yes I am.

I have send a new message to support, and a complain about how they handled this problem.

Share this post


Link to post

They obviously rushed the patch without testing it on all operating systems.

 

Please post here when you get reply from support.

 

I am also disappointed that 10 days after release of firefox 5 we still don't have a working password manager in Pure.

Share this post


Link to post

Since we do not get any answers or help from Kaspersky, the question is how we who have purchased license for Kaspersky PURE, can obtain license keys for the standalone version of Kaspersky Password Manager, so that we can continue to used the program.

This is the only solution I can see right now. <_<

Share this post


Link to post
Since we do not get any answers or help from Kaspersky, the question is how we who have purchased license for Kaspersky PURE, can obtain license keys for the standalone version of Kaspersky Password Manager, so that we can continue to used the program.

This is the only solution I can see right now. <_<

 

For what it's worth, I am using Win 7 64, and have no issues with the Password manager in PURE. After I updated Password manager, FF 5 works fine with it now.

Share this post


Link to post
For what it's worth, I am using Win 7 64, and have no issues with the Password manager in PURE. After I updated Password manager, FF 5 works fine with it now.

 

 

Updated it with what ?

The only update for now is the "stand-alone" Password manager, and this solution needs a new license key, did u buy a new key for this one ? :blink:

Share this post


Link to post

Don´t bother to answer, just bought a new software, but not from Kaspersky, and my problem is now over.

And NO... Kaspersky never answered me.....relay bad, but there lost.

:dash1:

 

Case closed !

Share this post


Link to post
Don´t bother to answer, just bought a new software, but not from Kaspersky, and my problem is now over.

And NO... Kaspersky never answered me.....relay bad, but there lost.

:dash1:

 

Case closed !

 

I'll respond anyway. I updated with the installer from the link in the first thread at the top of this forum. Followed the instructions, and had no problem. If you notice, it's a new thread created this past Monday.

 

I'll even paste the contents here:

 

On July 4th, 2011 Kaspersky Lab announces release of the patch for Password Manager from Kaspersky PURE R2.

 

Fixed bugs:

 

* Mozilla Firefox 5 support.

* Google Chrome 11, 12 support.

* Minor localization corrections .

* Fixed 'License key is invalid' activation error.

 

How to install the patch:

 

Please read this topic: http://support.kaspersky.com/faq/?qid=208284589

Edited by Gorgotham

Share this post


Link to post
I'll respond anyway. I updated with the installer from the link in the first thread at the top of this forum. Followed the instructions, and had no problem. If you notice, it's a new thread created this past Monday.

 

I'll even paste the contents here:

 

On July 4th, 2011 Kaspersky Lab announces release of the patch for Password Manager from Kaspersky PURE R2.

 

Fixed bugs:

 

* Mozilla Firefox 5 support.

* Google Chrome 11, 12 support.

* Minor localization corrections .

* Fixed 'License key is invalid' activation error.

 

How to install the patch:

 

Please read this topic: http://support.kaspersky.com/faq/?qid=208284589

 

I followed instructions to the letter and tried it more than 5 times but no chance to get it working. After the patch password manager starts working but pure crashes constantly.

 

avp.exe - aplication eror

 

the instruction at 0x6ef00465 referenced memory at 0x00000000. the memory could not be read

 

click OK to terminate the program.

 

After i uninstal Pure and instal it again without patch it works fine.

 

Hopefully they will fix the problem soon...

Share this post


Link to post
Guest
This topic is now closed to further replies.

×
×
  • Create New...

Important Information

We use cookies to make your experience of our websites better. By using and further navigating this website you accept this. Detailed information about the use of cookies on this website is available by clicking on more information.